Public developer API
GET /v1/balances
Returns the available balance of every wallet on your organization.
Access
A project-specific API key (Authorization: Bearer dapi_live_...) and its Business ID (X-Business-Id). Rate limited per business (120 calls a minute by default).
Example request
curl --request GET \
--url 'https://production.dutchapi.co/v1/balances' \
--header 'X-Business-Id: YOUR_BUSINESS_ID' \
--header 'Authorization: Bearer bsk_live_YOUR_BUSINESS_SECRET'
Response 200
{
"object": "list",
"data": [
{
"currency": "XAF",
"available": 359700,
"kind": "fiat"
},
{
"currency": "USD",
"available": 120.5,
"kind": "fiat"
},
{
"currency": "USDT",
"available": 25,
"kind": "stablecoin"
}
]
}
Errors
| Status | error | Meaning |
|---|---|---|
| 403 | insufficient_scope | This project key is not allowed to do that. |